<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
    <table>
    <?php
      try{
        $db = new SQLite3("/var/wwwdata/testphp.db", SQLITE3_OPEN_READONLY);
      }
      catch(SQLiteException $e){
        echo "Wystąpił błąd podczas otwierania połączenia z bazą...<br>";
        echo "Komunikat błędu: ";
        echo $e->getMessage() . "<br>";
        echo "</body></html>";
        exit;
      }

      $query = 'SELECT * FROM osoba ORDER BY Id';

      if($result = $db->query($query)){
        while($row = $result->fetchArray(SQLITE3_NUM)){
          echo "<tr>";
          echo "<td>$row[0]</td>";
          echo "<td>$row[1]</td>";
          echo "<td>$row[2]</td>";
          echo "<td>$row[3]</td>";
          echo "<td>$row[4]</td>";
          echo "</tr>";
        }
      }
      else{
        echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br>';
        echo "Komunikat błędu: $msg<br>";
      }

      unset($db);
      ?>
    </table>
  </body>
</html>
